Download it now!
Bug 53177 - CONFIGURATION "Use 'English (USA)' locale for numbers" messes with dates and "insert link to external data"
Summary: CONFIGURATION "Use 'English (USA)' locale for numbers" messes with dates and ...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-06 17:49 UTC by joaquin
Modified: 2013-11-15 23:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample HTML-import with numbers and dates (34.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-28 18:42 UTC, joaquin
Details
day and month swapped when # day < 13 (10.83 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-10-29 11:31 UTC, joaquin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joaquin 2012-08-06 17:49:08 UTC
The global configuration setting 


Load/Save -> HTML Compatibility -> Use English (USA) locale for number

causes the following:

- numbers with a "." as decimal separator are recognised and inserted in 
  "NUMBER" fields
- instead of just importing numbers as text this configuration messes with dates:
  dates: day and month are swapped around if day-of-month < 13
- this function overrules the per-import choice for locale and recognising 
  numbers and dates (bug 53103)

I guess this setting does not make sense since in this form and with this description: it offers only a partial solution for bug 47109 and as disadvantages messes with dates and per-import choices.
Comment 1 Rainer Bielefeld Retired 2012-09-16 06:40:19 UTC
Not a valid bug report, no Idea how to reproduce that.

I tried:
0. Launch Server Installation of  "LibreOffice 3.6.0.0.beta2  German UI/Locale
  [Build-ID: f010139] on German WIN7 Home Premium (64bit) 
1. 'Tools -> options -> Language': All settings to English - USA
2. 'Tools -> options -> LoadSave -> HRML Compatibility' Check Import = Use
   English (USA)
3. New Spreadsheet
4. Menu 'Insert -> Link To External Data'
   <'Tools -> options -> Language'>
   <Enter>
5. In dialog "Import Options" check "Language=Automatic", "Detect Special 
   Numbers"  <ok>
   > HTML contents listing appears after few moments
6. Select "HTML_tables" <ok>
   HTML page table conetents will appear in spreadsheet after few moments

As expected 1/2 is recognized as date "01/02/2012" . All the rest as expected, please see my "Test_Document.ods" (Please open without updating linked contents). Right from "Test area" in the sheet I checked Number format of imported cells.

@reporter:
Thank you for your report – unfortunately important information is missing.
May be hints on <http://wiki.documentfoundation.org/BugReport> will help you to find out what information will be useful to reproduce your problem? If you believe that that  is really sophisticated please as for Help on a user mailing list
Please:
- Write a meaningful Summary describing exactly what the problem is
- Attach a sample document (not only screenshot) or refer to an existing 
  sample document in an other Bug with a link; to attach a file to this 
  bug report, just click on "Add an attachment" right on this page.
- Attach screenshots with comments if you believe that that might explain the 
  problem better than a text comment. Best way is to insert your screenshots
  into a DRAW document and to add comments that explain what you want to show
- Contribute a document related step by step instruction containing every 
  key press and every mouse click how to reproduce your problem 
  (similar to example in Bug 43431)
– if possible contribute an instruction how to create a sample document 
  from the scratch
- add information 
  -- what EXACTLY is unexpected
  -- and WHY do you believe it's unexpected (cite Help or Documentation!)
  -- concerning your PC 
  -- concerning your OS (Version, Distribution, Language)
  -- concerning your LibO localization (UI language, Locale setting)
  –- Libo settings that might be related to your problems 
  -- how you launch LibO and how you opened the sample document
  –- Whether your problem persists when you renamed your user profile 
     before you launch LibO (please see
     <https://wiki.documentfoundation.org/UserProfile#User_profile_location>)
  –- If you can contribute an AOOo Issue that might be useful
  -- everything else crossing your mind after you read linked texts
Comment 2 Rainer Bielefeld Retired 2012-10-27 15:43:10 UTC
Please see my  detailed description of the problem in "Bug 56457 - allow (document related) locale setting for 'Insert - External Data'" Comment 1

Closing this one as DUP for now due to reporter's inactivity.

*** This bug has been marked as a duplicate of bug 56457 ***
Comment 3 joaquin 2012-10-28 18:21:36 UTC
As noted in bug 56475, this bug is not about the number import but about the way the "HTML Compatibility" is (not) working.

So the question should be:
- Do we need a general preference "HTML Compatibility"?
  If so:
  - Is this about numbers only?
  - Is this about dates also?
  - Can we customise it?
  If not:
  - Should we have some working choice for number- and date-format on import?
  and this choice should work then, not like the one in bug 5103
Comment 4 joaquin 2012-10-28 18:42:33 UTC
Created attachment 69200 [details]
Sample HTML-import with numbers and dates

Created with LibreOffice 3.4.5 OOO340m1 (Build:502) on Fedora 16

Manually changed:
- Tools -> options -> Language Settings -> User interface: Dutch NL
- Tools -> options -> Load/Save -> HTML Compatibility: "Use 'English (USA)' locale for numbers"

Added 4 tabs with a link to external data. Reopened the spreadsheet on Mac OS X with LO 3.6.2.2 (Build ID: da8c1e6), system locale Dutch, LO locale following system locale and:
- Preferences -> Load/Save -> HTML Compatibility
  [v] Use English (USA) locale for numbers (this is the point!)

Notice (both on Linux and OS X):
- Numbers with a decimal dot are imported as numbers and ok
- ","-numbers are imported correct (but as text, see bug 47109)
- Dates are swapped if #-month =< 12

The last two will usually happen with the link in the TAB "ASN" if:
 # day-of-month < 13

So this should happen again the first days of November 2012 when getting new data.
Comment 5 joaquin 2012-10-28 18:58:15 UTC
Correction: Dates are only swapped when the day-of-month is less than 13 (#-month can of course never be > 12). In other words:

When DD < 13:
  DD-MM-YYYY becomes MM-DD-YYYY 

when using a non-US locale and the "HTML compatibility" setting "Use English (USA) locale for numbers" and importing the link in the TAB "ASN".

And you should update the link a few hours after 10:00 on 20121101 and before 20121113 and compare the result with the original web-page.
Comment 6 Rainer Bielefeld Retired 2012-10-28 19:05:37 UTC
A quick test  with "LibreOffice 3.6.3.2” German UI/ German Locale [Build-ID: 58f22d5]" on German WIN7 Home Premium (64bit), but I did not see Dates with "/"?

@joaquin:
Please reduce your sample document to the relevant table and follow my instructions in Comment 1, what for example means that you write something like "Sheet1.A7" is shown as "xx/yy" but I expect "yy/xx" because "..." (and not "all numbers with ..."
Comment 7 joaquin 2012-10-29 11:31:18 UTC
Created attachment 69221 [details]
day and month swapped when # day < 13
Comment 8 joaquin 2012-10-29 11:47:24 UTC
(In reply to comment #6)
> A quick test  with "LibreOffice 3.6.3.2” German UI/ German Locale [Build-ID:
> 58f22d5]" on German WIN7 Home Premium (64bit), but I did not see Dates with
> "/"?

Where do you get the impression that ther should be "/" somewhere? This is not about the separator between days, month, year. Tak a look at the following web page:

https://www.asnbank.nl/asnappl/scripts/koersen/koersen.asp?dnid=9404

Next Friday, 02 November some hours after 10:00, you will see something like:

         02-11-2012
..fonds:    60,46


> @joaquin:
> Please reduce your sample document to the relevant table and follow my
> instructions in Comment 1, what for example means that you write something
> like "Sheet1.A7" is shown as "xx/yy" but I expect "yy/xx" because "..." (and
> not "all numbers with ..."

- open the attachement 69221
- Set your locale to somethen non-US (German will do). Set your global setting
- Preferences (tools->options) -> Load/Save -> HTML Compatibility
  [v] Use English (USA) locale for numbers

So I expect LibreOffice to import just the date and number above and only influence numbers as described in bug 56457. Instead LibreOffice first swaps the day and month, than puts the following result in a text field:

           11-02-2012
....fonds:    60,46

or whatever value the mutual fund has at the opening at 10:00.

So LibreOffice imports dates incorrect one third of the month when using most non-US locales in combination with "Use English (USA) locale for numbers".

Do you follow me? Do you understand that I use this to keep trac
Comment 9 joaquin 2012-10-29 12:04:28 UTC
What I wanted to say:

Do you understand that I use this to keep track of quotes that change every office day? So there is a relation between dates and numbers that is important here.

Therefore this bug is about the date the price was valid for being swapped around when I want to get the numbers (prices) in as number-fields in the spreadsheet.

Bug 56457 is about getting the numbers in as numbers when using a decimal comma in your document. I did not report that bug because the only thing usefull "Use English (USA) locale for numbers" does is make that possible.

At the moment it is impossible to have both in LibreOffice. So unless the description "Use English (USA) locale for numbers" is wrong and should have been:

"Use USA locale for BOTH numbers AND dates - Dear rest of the world forget about dates"

this bug is not a duplicate of 56547. Also it is not about the date being inserted as text. That is bug is 47109. But all these bugs have one relation:
"Use English (USA) locale for numbers"
Comment 10 joaquin 2012-11-02 13:37:24 UTC
Observations when opening attachment 69221 [details] on 2012-11-02:

LibreOffice 3.5.4.2 
Build ID: 165a79a-7059095-e13bb37-fef39a4-9503d18
-------------------------------------------------
Opening the attachment without refreshing shows:

Koers (laatste...
29-10-2012

Edit -> Links... [Update]

Koers (laatste...
11-02-2012

LibreOffice 3.6.2.2 (Build ID: da8c1e6)
---------------------------------------
Opening the attachment without refreshing shows:

Koers (laatste...
29-10-2012

Edit -> Links... [Update]

Koers (laatste...
02-11-2012

Both:
- System (& LO) locale Dutch
- "Use English (USA) locale for numbers"


LO 3.6.2: New setting under:
  Preferences (tools/options) -> Language Settings -> Languages
  Date acceptance patterns D-M-Y;D-M

That is the default for the locale system (& LO) setting: 
  Default - Dutch (Netherlands)


So, can anyone confirm that we now can "work around" this bug by using this last additional locale setting introduced in LibreOffice 3.6.2?

http://wiki.documentfoundation.org/ReleaseNotes/3.6#Localization

I certainly can confirm this is the first version of LibreOffice that does not swap the day and month in the described configuration.

I'm not convinced that this should be a global setting because there is no such thing global date formats so I don't think this new feature is a real solution. See the related bugs.
Comment 11 QA Administrators 2013-07-18 06:15:54 UTC
Dear Bug Submitter,

Please read the entire message in its entirety before continuing - also please respond directly to FDO when replying - do not reply via email.

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 12 QA Administrators 2013-09-24 02:06:21 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO